---
# defaults file for ansible_role_docker

docker_edition: 'ce'
docker_packages:
  - "docker-{{ docker_edition }}"
  - "docker-{{ docker_edition }}-cli"
  - containerd.io
  - docker-compose-plugin



docker_python3_pip_package: "python3-pip"
docker_pip_packages:
  - docker
  - docker-compose


# Service options.
docker_service_name: "docker"
docker_service_state: started
docker_service_enabled: true

# Docker repo URL.
docker_repo_url: https://download.docker.com/linux

# Used for Debian/Ubuntu.
docker_apt_release_channel: stable
docker_apt_arch: "{{ 'arm64' if ansible_architecture == 'aarch64' else 'amd64' }}"
docker_apt_repository: "deb [arch={{ docker_apt_arch }}] {{ docker_repo_url }}/{{ ansible_distribution | lower }} {{ ansible_distribution_release }} {{ docker_apt_release_channel }}"
docker_apt_repository_filename: "docker"
docker_apt_gpg_key: "{{ docker_repo_url }}/{{ ansible_distribution | lower }}/gpg"
docker_apt_key_dest: "/etc/apt/trusted.gpg.d/docker.asc"
docker_apt_key_mode: "0644"

docker_group: docker

# A list of users who will be added to the docker group.
docker_users: [docker]
